Overview
Every endpoint, parameter, and response field.
Chat
Completions
Responses
Files
Vector stores
- POST
/vector_storesCreate a vector store - GET
/vector_storesList vector stores - GET
/vector_stores/{vector_store_id}Retrieve a vector store - DELETE
/vector_stores/{vector_store_id}Delete a vector store - POST
/vector_stores/{vector_store_id}/filesAttach a file to a vector store - GET
/vector_stores/{vector_store_id}/filesList vector store files - DELETE
/vector_stores/{vector_store_id}/files/{file_id}Remove a file from a vector store - POST
/vector_stores/{vector_store_id}/searchSearch a vector store